**Full name**: projects.locations.tensorboards.experiments.runs.timeSeries.readBlobData

Gets bytes of TensorboardBlobs. This is to allow reading blob data stored in consumer project's Cloud Storage bucket without users having to obtain Cloud Storage access permission.

### Endpoint

get `https://{service-endpoint}/v1/{timeSeries}:readBlobData`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`timeSeries` `string` Required. The resource name of the TensorboardTimeSeries to list Blobs. Format: `projects/{project}/locations/{location}/tensorboards/{tensorboard}/experiments/{experiment}/runs/{run}/timeSeries/{timeSeries}`

### Query parameters

`blobIds[]` `string` IDs of the blobs to read.

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs.timeSeries/readBlobData#google.cloud.aiplatform.v1.TensorboardService.ReadTensorboardBlobData`.

If successful, the response body contains data with the following structure:
Fields `blobs[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/TensorboardBlob`)`` blob messages containing blob bytes.

| JSON representation |
|---|
| ``` { "blobs": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/TensorboardBlob`) } ] } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `timeSeries` resource:

- `aiplatform.tensorboardTimeSeries.read`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).